Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030917
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] Z. Othersmajoralways2015-09-23 13:122015-09-24 13:14
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionac2e9cc92453
ProjectionnoneETAnoneTarget Version3.0PR15Q2.6
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-09-23
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/179d97ee602d [^]
Triggers an Emergency PackNo
Summary

0030917: Payment registered for child organization not found in Payment selector when running "add transaction" from Match Statement

DescriptionPayment registered for child organization not found in Payment selector when running "add transaction" from Match Statement
Steps To Reproduce1. Access financial account "Cuenta de Banco", go to Payment Method tab and disable "automatic deposit" for IN flow and Transferencia payment method
2. Access Payment In window and register new document for "EspaƱa Norte" organization using Transferencia payment method. Add any line and process (NOT deposit)
3. Access "Cuenta de Banco" financial account, go to Reconciliation tab and rectivate las reconciliation
4. Run "Match statement" process, unmatch any line and press "+" button to add transaction
5. Open "Payment" selector and realize that you can not find previously created payment
Proposed SolutionProblem is in "Payment Selector Transaction for Parameter Window" reference. If you check "HQL where" clause you can see that function " AD_ISORGINCLUDED(@inpadOrgId@, e.organization.id,e.client.id)<>-1" is used liked this. However parameters for this function should be:
" AD_ISORGINCLUDED(e.organization.id,@inpadOrgId@, e.client.id)<>-1"
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00308983.0PR15Q4 closedAtulOpenbravo Payment registered for child organization not found in Payment selector when running "add transaction" from Match Statement 

-  Notes
(0080611)
hgbot (developer)
2015-09-24 13:08

Repository: erp/backports/3.0PR15Q2.6
Changeset: ac2e9cc924532c7917275f734a2a1538fb608c50
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Sep 24 06:09:02 2015 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.6/rev/ac2e9cc924532c7917275f734a2a1538fb608c50 [^]

Fixes Issue 30917:Payment registered for child organization not found in
Payment selector when running "add transaction" from Match Statement

Parameters passed to AD_IsOrgIncluded in correct order.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/OBUISEL_SELECTOR.xml
---
(0080618)
vmromanos (developer)
2015-09-24 13:14

Code review + testing OK

- Issue History
Date Modified Username Field Change
2015-09-24 11:12 vmromanos Type defect => backport
2015-09-24 11:12 vmromanos Target Version 3.0PR15Q4 => 3.0PR15Q2.6
2015-09-24 11:13 vmromanos Tag Attached: Approved
2015-09-24 13:08 hgbot Checkin
2015-09-24 13:08 hgbot Note Added: 0080611
2015-09-24 13:08 hgbot Status scheduled => resolved
2015-09-24 13:08 hgbot Resolution open => fixed
2015-09-24 13:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2.6/rev/ac2e9cc924532c7917275f734a2a1538fb608c50 [^]
2015-09-24 13:14 vmromanos Note Added: 0080618
2015-09-24 13:14 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker